NTDomainPrincipal (Java SE 17 & JDK 17)
Description: declaration: module: jdk.security.auth, package: com.sun.security.auth, class: NTDomainPrincipal
Keywords: com.sun.security.auth.NTDomainPrincipal class

Module jdk.security.auth
Package com.sun.security.auth

# Class NTDomainPrincipal

java.lang.Object
com.sun.security.auth.NTDomainPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public class NTDomainPrincipal extends Object implements Principal, Serializable
This class implements the `Principal` interface and represents the name of the Windows NT domain into which the user authenticated. This will be a domain name if the user logged into a Windows NT domain, a workgroup name if the user logged into a workgroup, or a machine name if the user logged into a standalone configuration.

Principals such as this `NTDomainPrincipal` may be associated with a particular `Subject` to augment that `Subject` with an additional identity. Refer to the `Subject` class for more information on how to achieve this. Authorization decisions can then be based upon the Principals associated with a `Subject`.

See Also:
  - `Principal`
  - `Subject`
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NTDomainPrincipal(String name)`
  Create an `NTDomainPrincipal` with a Windows NT domain name.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  Compares the specified Object with this `NTDomainPrincipal` for equality.
  `String`
  `getName()`
  Return the Windows NT domain name for this `NTDomainPrincipal`.
  `int`
  `hashCode()`
  Return a hash code for this `NTDomainPrincipal`.
  `String`
  `toString()`
  Return a string representation of this `NTDomainPrincipal`.

  ### Methods declared in class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods declared in interface java.security.Principal

  `implies`

- ## Constructor Details

  - ### NTDomainPrincipal

    public NTDomainPrincipal(String name)
    Create an `NTDomainPrincipal` with a Windows NT domain name.
    Parameters:
      `name` - the Windows NT domain name for this user.
    Throws:
      `NullPointerException` - if the `name` is `null`.

- ## Method Details

  - ### getName

    public String getName()
    Return the Windows NT domain name for this `NTDomainPrincipal`.
    Specified by:
      `getName` in interface `Principal`
    Returns:
      the Windows NT domain name for this `NTDomainPrincipal`

  - ### toString

    public String toString()
    Return a string representation of this `NTDomainPrincipal`.
    Specified by:
      `toString` in interface `Principal`
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this `NTDomainPrincipal`.

  - ### equals

    public boolean equals(Object o)
    Compares the specified Object with this `NTDomainPrincipal` for equality. Returns true if the given object is also a `NTDomainPrincipal` and the two NTDomainPrincipals have the same name.
    Specified by:
      `equals` in interface `Principal`
    Overrides:
      `equals` in class `Object`
    Parameters:
      `o` - Object to be compared for equality with this `NTDomainPrincipal`.
    Returns:
      true if the specified Object is equal to this `NTDomainPrincipal`.
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### hashCode

    public int hashCode()
    Return a hash code for this `NTDomainPrincipal`.
    Specified by:
      `hashCode` in interface `Principal`
    Overrides:
      `hashCode` in class `Object`
    Returns:
      a hash code for this `NTDomainPrincipal`.
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(java.lang.Object)`